Subject: Re: bug#43615: 26.3; eshell: face for directory and symlink the same in terminal

From: [email-masked] (Alfred M. Szmidt)
Date: Sat, 26 Sep 2020 05:45:14 -0400

>    >   black		       black  #000000
   >    >   red		       red  #ff0000
   >    >   green		       green  #00ff00
   >    >   yellow		       yellow  #ffff00
   >    >   blue		       blue  #0000ff
   >    >   magenta		       magenta  #ff00ff
   >    >   cyan		       cyan  #00ffff
   >    >   white		       white  #ffffff
   > 
   >    This indicates you have only 8 colors, not 16.
   > 
   > I based the 16 colors on the documentation for the console; it might
   > be that there is some switch one can flip for more.

   If the terminal supports 16 colors, it means Emacs is not being told
   about that.  Are you sure your TERM variable points to the correct
   terminfo entry?

   Anyway, this is a separate problem.

It is set to wsvt25 -- which is the default.

   >   plain
   >   directory
   >   symlink
   >   special
   >   executable
   >   readonly / unreadable/ missing
   >   backup / product / clutter
   > 
   > So maybe just limit it to the plain / directory / symlink / special /
   > executable group?

   Plain files could just be left at the default face, no?  

Yes.

   That would leave us with directory, symlink, executable, and
   backup/product/clutter, 4 colors.  Maybe also add archive, which
   yields 5 colors.  Makes sense?

Yes (though I don't understand why archive needs to be a different
face -- but that is a different problem too).  I think it would be
useful to differentate at least "special"?